LocalDataLoggerStepFlow.prototype._SelectMasterRtuToLocalDataLogger_ = function(that)
{
	var Class = new StepFlow();
	var TopMenuId="Top-Menu-LoggerSetting", LeftListId="Left-List-RtuToLocalDataLogger";
	Class.ClickElement(that, TopMenuId, LeftListId);
	Class.DisableElement(TopMenuId, LeftListId);
};

LocalDataLoggerStepFlow.prototype._SelectMasterTcpToLocalDataLogger_ = function(that)
{
	var Class = new StepFlow();
	var TopMenuId="Top-Menu-LoggerSetting", LeftListId="Left-List-TcpToLocalDataLogger";
	Class.ClickElement(that, TopMenuId, LeftListId);
	Class.DisableElement(TopMenuId, LeftListId);
};

LocalDataLoggerStepFlow.prototype._SelectLocalDataLogger_ = function(that)
{
	var Class = new StepFlow();
	var TopMenuId="Top-Menu-AdvancedSetting", LeftListId="Left-List-LocalDataLogger";
	Class.ClickElement(that, TopMenuId, LeftListId);
	Class.DisableElement(TopMenuId, LeftListId);
};

LocalDataLoggerStepFlow.prototype._SaveXml_ = function(that)
{
	var Class = new ControllerServiceSetting();
	var Result_1={"Input":null}, Result_2={"Input":null};
	Class.SaveDeviceDri(Result_1);
	Class.SaveServiceXml(Result_2);
	var SetInterval = setInterval(function()
	{
		if(Result_1["Input"]==true && Result_2["Input"]==true)
		{
			Class = null;  delete Class;
			$(that).closest('.Row').find(".BigLoading").hide();
			var StepFlowClass = new StepFlow();
			StepFlowClass.UnLockAllUi(that);
			clearInterval(SetInterval);
		}
	},500);
}

LocalDataLoggerStepFlow.prototype._SaveMasterRtuToLocalDataLogger_ = function(that)
{
	$(that).closest('.Row').find(".BigLoading").show();
	var StepFlowClass = new StepFlow();
	StepFlowClass.LockAllUi(that);
	var Result_1={"Input":null}, Result_2={"Input":null}, Result_3={"Input":null};

	var Class_1 = new Transmission();
	Class_1.TransmissionArray("SaveLocalDataLogger", new Array(JSON.stringify(Global_LocalDataLogger)), Result_1);
	Class_1.TransmissionString("SaveComPortSetting", JSON.stringify(Global_ComPort), Result_2);
	var Class_2 = new RtuModuleFirstPage();
	Class_2.SaveDataLayerAndServiceLayerVariables(Result_3);
	var SetInterval = setInterval(function()
	{
		if(Result_1["Input"]==true && Result_2["Input"]==true && Result_3["Input"]==true)
		{
			Class_1 = null;  delete Class_1;
			Class_2 = null;  delete Class_2;
			LocalDataLoggerStepFlow.prototype._SaveXml_(that)
			clearInterval(SetInterval);
		}
	},500);
};

LocalDataLoggerStepFlow.prototype._SaveMasterTcpToLocalDataLogger_ = function(that)
{
	$(that).closest('.Row').find(".BigLoading").show();
	var StepFlowClass = new StepFlow();
	StepFlowClass.LockAllUi(that);
	var Result_1={"Input":null}, Result_2={"Input":null}, Result_3={"Input":null};

	var Class_1 = new Transmission();
	Class_1.TransmissionArray("SaveLocalDataLogger", new Array(JSON.stringify(Global_LocalDataLogger)), Result_1);
	Class_1.TransmissionString("SaveComPortSetting", JSON.stringify(Global_ComPort), Result_2);
	var Class_2 = new TcpModuleFirstPage();
	Class_2.SaveDataLayerAndServiceLayerVariables(Result_3);
	var SetInterval = setInterval(function()
	{
		if(Result_1["Input"]==true && Result_2["Input"]==true && Result_3["Input"]==true)
		{
			Class_1 = null;  delete Class_1;
			Class_2 = null;  delete Class_2;
			LocalDataLoggerStepFlow.prototype._SaveXml_(that)
			clearInterval(SetInterval);
		}
	},500);
};